DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# case-fold-up

## Name

case-fold-up -- Shift a string to uppercase

## Synopsis

    (case-fold-up str)

## Description

Returns `str` in uppercase.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (case-fold-up str)
      ;; Shift a string to uppercase
      (if (string? str)
          (apply string (case-fold-up-charlist (string->list str)))
          str))

Prev | Home | Next
case-fold-down | Up | find-first-char